#
# spec file for package perl-Ogg-Vorbis-Header-PurePerl
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Ogg-Vorbis-Header-PurePerl
Version:        1.05
Release:        pm154.1.1
%define cpan_name Ogg-Vorbis-Header-PurePerl
Summary:        Access Ogg Vorbis info and comment fields
License:        SUSE-Public-Domain
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAVECROSS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This module is intended to be a drop in replacement for
Ogg::Vorbis::Header, implemented entirely in Perl. It provides an
object-oriented interface to Ogg Vorbis information and comment fields.
(NOTE: This module currently supports only read operations).

Unlike Ogg::Vorbis::Header, this module will go ahead and fill in all of
the information fields as soon as you construct the object.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README
%license LICENSE.GPL

%changelog
* Mon Dec  7 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.05
  see /usr/share/doc/packages/perl-Ogg-Vorbis-Header-PurePerl/Changes
* Mon Sep  7 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.04
  see /usr/share/doc/packages/perl-Ogg-Vorbis-Header-PurePerl/Changes
* Tue Apr 12 2016 olaf@aepfle.de
- https://cpan.rt.develooper.com/Public/Bug/Display.html?id=104869
* Sat Feb 18 2012 pascal.bleser@opensuse.org
- version 1.0
